Opened 2 years ago

Closed 15 months ago

#13204 closed defect (fixed)

DIRECTOR: Alice Interactive Museum (Director 2/4?) Loading Issue

Reported by: mystrw1 Owned by: sev-
Priority: normal Component: Engine: Director
Version: Keywords:
Cc: Game:

Description (last modified by mystrw1)

Game-Alice An Interactive Museum
ScummVM version-2.6 (built 12/27/21, 14:36:45)
Game Engine-Director 2/4
Language-English
Game version-
My OS-Win 10
This comment may be too early since Director is still early in development but I had the game available and decided to try it out. Alice Interactive Museum appears to be properly detected when the game/files are added to ScummVM. Then, after clicking the Start button, a black screen appears with a functioning mouse cursor. Game appears to stall here. I also note the following info./warning messages (repeating continuously...)

WARNING: BUILDBOT: Uncaught Lingo error: Call to undefined handler 'Widget'. Dropping 1 stack items!
WARNING: varFetch: global variable drv not defined!
WARNING: Movie :DATA:OPENING:OPEN01.DIR does not exist!
WARNING: Lingo::setTheEntity(): Unprocessed setting entity exitLock!
WARNING: varFetch: variable mnew not found!

Change History (8)

comment:1 by rvanlaar, 2 years ago

Description: modified (diff)

Thank you for creating this bug report.

For now, try copying the data directory to the same directory as the as the .exe is found in.

The V4 version needs the external Xobject 'Widget', which is not implemented.

comment:2 by mystrw1, 2 years ago

Description: modified (diff)

Thank you. Moving the data files/folders worked to get the game started. The game ran thru entering the room with the water leak, finding the bookcase and opening the "linking" book to the artist's office. The book did not "link" though. (Is this where the Xobject Widget is needed...?)

Also, just as FYI, I ran the game under PCem to note any differences between it & SCUMM run and found the following...:

  • Opening credits did not run under SCUMM as seen under PCem.
  • No sound during painting "appearance" scene under SCUMM as heard under PCem.
  • As metioned above, book did not "link" to artists office under SCUMM as it did under PCem.
  • CTRL-Q did not work to exit game under SCUMM (CTRL-Z did work...) as it did under PCem.

Again, hope this addit. info. might be helpful in future...

comment:3 by aquadran, 2 years ago

Summary: Alice Interactive Museum (Director 2/4?) Loading IssueDIRECTOR: Alice Interactive Museum (Director 2/4?) Loading Issue

comment:4 by mystrw1, 20 months ago

Hello. I recently re-tried running the game with an updated daily build and wanted to update the gameplay/issues status of Alice at this point in time in case it might help continuing engine/game development.

ScummVM version- v2.7.0git3423-gacee74-a4b76 (10/14/22, 22:01:27)

  • The 1st & 2nd issues originally listed above in this ticket still apply to the game. Also, the 4th issue still applies as well.
  • Great progress has been made on the 3rd issue listed. The book in the bookshelf now successfully "links" into the "Artist's room". In the Artist's room, I can view multiple pictures/paintings in the room up close. Trying not to spoil, I can perform multiple actions within the room resulting in animation/movement responses of some type. Also, I can access a 2nd room directly & the puzzle used to access a 3rd room fully works. These 2 addit. rooms appear playable as well...


Congratulations on your development progress...and thank you again for your efforts...!

  • An addit. issue noted in the game (that i neglected to mention previously) is that the speed of the people walking past the closed door and the flasking oif the light in the room is very, very fast, as is the dripping water in the bookcase room and the bookcase appears and open very quickly. A computer clocktime issue? = The audio of the water dripping and the bookcase opening both match the increased speeds of the videos. The audio of the bookcase opening continues rapidly repeating itself even into the Artist's room (until you open a door into the 2nd room, at which time THAT sound *door opening...)takes over rapidly repeating itself and blocking other game sounds from being played/heard.

Hope this feedback might help continuing development of the engine and game...

comment:5 by rvanlaar, 20 months ago

Thank you for the update.

I've implemented the parts of the Widget XObj that were required to start up the game. The following issues are resolved:

WARNING: BUILDBOT: Uncaught Lingo error: Call to undefined handler 'Widget'. Dropping 1 stack items!
WARNING: varFetch: global variable drv not defined!
WARNING: varFetch: variable mnew not found!

There is still a problem with finding the right files.

Commit for reference: https://github.com/scummvm/scummvm/commit/cf8f854960a2d0b710c82df9bce64b2db9709313

comment:6 by mystrw1, 15 months ago

Hello. I recently re-tried running Alice Interactive Museum again using the following SCUMM daily build...

ScummVM version - v2.8.0git1498-g08b648e30f4 (Feb 16 2023, 08:28:47)

... and wanted to update the game's current gameplay status at this time. All actual gameplay capability that the game previously displayed has been (temporarily...?) lost. When started, the game now only initiates a black screen with a functioning mouse cursor, then displays the 2 beginning Toshiba/Synergy credit screens and then Scumm closes itself.

I captured the following info. prior to the program closing out :

Looking for a plugin supporting this target... Macromedia Director

Running Alice: An Interactive Museum (Windows/English)
ALICE_W/ALICE.EXE: da6b3cb75f548d5c79ef831320b97035, 684733 bytes.
WARNING: SearchSet::add: archive 'D:\Games\Alice\' already present!
Starting v400 Director game
WARNING: Could not find classicmacfonts.dat. Falling back to built-in fonts!
Director pixelformat is: CLUT8
WARNING: Lingo Inited!
-- "Now loading LINGO.INI 20/1/23 9:51 PM"
-- "This computer is running in 8-bit color depth."
WARNING: Window::loadEXEv4(): PJ93 projector flags: 00000000!
WARNING: RIFX: type: APPL!
WARNING: mmap: version: 0!
WARNING: RIFX: type: MV93!
WARNING: mmap: version: 0!
WARNING: RIFX: type: MV93!
WARNING: mmap: version: 0!
WARNING: Movie is from later version v404!
Switching to Director v404
Reloading builtins
WARNING: STUB: Score::loadFrames. frame1Offset: 14 numFrames: 2 version: 4 spriteRecordSize: 14 numChannels: 32 numChannelsDisplayed: 30!
WARNING: RIFX: type: MV93!
WARNING: mmap: version: 0!
WARNING: RIFX: type: MV93!
WARNING: mmap: version: 0!
STUB: Unhandled 'SCRF' resource
WARNING: STUB: Score::loadFrames. frame1Offset: 14 numFrames: 53 version: 4 spriteRecordSize: 14 numChannels: 32 numChannelsDisplayed: 30!
WARNING: Window::loadexe(): Failed to open EXE 'ALICE.EXE'!
WARNING: Archive::openfile(): Error opening file DATA\ALICE.EXE!

comment:7 by rvanlaar, 15 months ago

Thank you for bringing it to our attention.

It seems this is a bug on how ScummVM handles switching between files. It should continue playing alice.exe but is looking for it in the DATA directory.

It's on our radar.

For reference:

"play(0)" i.e. play done is called. It should return control back to alice.exe.

Call stack:
#0 56:scummvm_generic at [    0]

[    0]: Stack before: 
[    0]: c_argcnoretpush 0
[    0]: Stack after: <argcnoret: 0> 
[    2]: Stack before: <argcnoret: 0> 
[    2]: cb_call "play"
call: play()
Window::setNextMovie: 'ALICE.EXE' -> 'ALICE.EXE' -> 'ALICE.EXE'
Lingo::func_goto(): going to movie "ALICE.EXE", frame 2
[    2]: Stack after: 
Lingo::execute(): Context is frozen, pausing execution
Freezing Lingo state, depth 1
openArchive("DATA\ALICE.EXE")
WARNING: Window::loadEXE(): Failed to open EXE 'ALICE.EXE'!
File::open: opening 'DATA/ALICE.EXE' failed
WARNING: Archive::openFile(): Error opening file DATA\ALICE.EXE!

comment:8 by sev-, 15 months ago

Owner: set to sev-
Resolution: fixed
Status: newclosed

Fixed in master, please retest

Note: See TracTickets for help on using tickets.